Skip to main content
GET
/
api
/
v1
/
holdings
/
portfolio
Get aggregated portfolio
curl --request GET \
  --url https://integration-api.meshconnect.com/api/v1/holdings/portfolio \
  --header 'X-Client-Id: <api-key>' \
  --header 'X-Client-Secret: <api-key>'
import requests

url = "https://integration-api.meshconnect.com/api/v1/holdings/portfolio"

headers = {
    "X-Client-Secret": "<api-key>",
    "X-Client-Id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-Client-Secret': '<api-key>', 'X-Client-Id': '<api-key>'}
};

fetch('https://integration-api.meshconnect.com/api/v1/holdings/portfolio', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "content": { "portfolioCostBasis": 1819.9, "actualPortfolioPerformance": 6.1, "equitiesValue": 1934.78, "cryptocurrenciesValue": 1185.12, "nftsValue": 0, "equityPositions": [ { "portfolioPercentage": 0.44, "totalReturn": -1.3, "returnPercentage": -8.67, "companyName": "Tesla", "totalDailyReturn": 0.45, "dailyReturnPercentage": 3.45, "marketValue": 13.69, "lastPrice": 214.44, "symbol": "TSLA", "amount": 0.063, "costBasis": 234.8 }, { "portfolioPercentage": 38.98, "totalReturn": 144.97, "returnPercentage": 13.71, "companyName": "Apple", "totalDailyReturn": 31.65, "dailyReturnPercentage": 2.7, "marketValue": 1201.67, "lastPrice": 147.27, "symbol": "AAPL", "amount": 8.15, "costBasis": 129.5 } ], "cryptocurrencyPositions": [ { "portfolioPercentage": 11.4018, "totalReturn": -592.6533, "returnPercentage": -62.7737, "companyName": "Ethereum", "totalDailyReturn": -3.6081, "dailyReturnPercentage": -1.0162, "marketValue": 351.457, "lastPrice": 1350.07, "symbol": "ETH", "amount": 0.260325, "costBasis": 3626.66 }, { "portfolioPercentage": 7.8, "totalReturn": -85.45, "returnPercentage": -26.2, "companyName": "Dogecoin", "totalDailyReturn": -2.45, "dailyReturnPercentage": -1.0103, "marketValue": 240.5754, "lastPrice": 0.05977, "symbol": "DOGE", "amount": 4025.02, "costBasis": 0.081 } ], "nftPositions": [] }, "status": "ok", "message": "", "errorHash": "29c0cd7f", "teamCode": "P4", "errorType": "" }

Authorizations

X-Client-Secret
string
header
required

Contact Mesh to get client Secret

X-Client-Id
string
header
required

Contact Mesh to get client Id

Query Parameters

UserId
string
required

End user ID to get the aggregated portfolio for.

TimezoneOffset
integer<int64>

Offset in second, used to calculate daily return for cryptocurrencies.

Response

Portfolio obtained

status
enum<string>
Available options:
ok,
serverFailure,
permissionDenied,
badRequest,
notFound,
conflict,
tooManyRequest,
locked,
unavailableForLegalReasons
message
string | null

A message generated by the API

displayMessage
string | null

User-friendly display message that can be presented to the end user

errorHash
string | null
read-only

An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping

teamCode
string | null
read-only

Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.

errorType
string | null

Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.

errorData
unknown
content
object | null